<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Data Table Demo</title>
<style type="text/css" title="currentStyle">
			@import "http://www.datatables.net/release-datatables/media/css/demo_page.css"; 
			@import "http://www.datatables.net/release-datatables/media/css/header.ccss";
			@import "http://www.datatables.net/release-datatables/media/css/demo_table.css";
		</style>
		<script type="text/javascript" language="javascript" src="http://www.datatables.net/release-datatables/media/js/jquery.js"></script>
		<script type="text/javascript" language="javascript" src="http://www.datatables.net/release-datatables/media/js/jquery.dataTables.js"></script>
		<script type="text/javascript" charset="utf-8">
			$(document).ready(function() {
				$('#myDataTable').dataTable();
			} );
		</script>

</head>
<body>
<h1>DataTable Made From a Select</h1>

<?php
error_reporting(E_ALL);  

require "Credentials.php";
/*
The credentials file contains the variable 
$hostname
$database
$username
$password
*/ 

try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	echo "<p>Database Connection OK.<p>";
} catch(PDOException $e){
	$conn->setArribute(PDO::ATT_ERRMODE, PDO::ERRMODE_EXCEPTION);
	die("Could not open database.");
}

    echo '<table id="myDataTable" cellpadding="0" cellspacing="0" border="0" class="display" width="100%">';
	echo '<!-- the table id must match that which is given the data table functionality above -->';        
    
	//get the field names from the database
	//http://stackoverflow.com/questions/5428262/php-pdo-get-the-columns-name-of-a-table	
	$q = $conn->prepare("DESCRIBE plants");
	$q->execute();
	$table_fields = $q->fetchAll(PDO::FETCH_COLUMN);

	//datatables need NEED need the <thead> and <tbody> structure 
	echo "<thead>";
	echo "\n<tr>\n";

	//use the results of the SQL DESCRIBE command (the database field names) as the table headers
	foreach($table_fields as $afield){		
		echo "\t<th>";
		echo $afield;
		echo "</th>\n";
	}
	echo "\n</tr>\n";
	echo "</thead>";
	
	echo "<tbody>";
    //query the plants table
	$sql = 'SELECT * FROM plants';
	$j=0;
    foreach ($conn->query($sql) as $row) {
		//had issue where $row had twice as many fields as should ???
		//so used number of fields from above to limit inner loop		
		echo "\n<tr id='row_" . $j . "'>\n";
		for($i=0; $i<sizeof($table_fields); $i++)
		{
			echo "\t<td id='cell_" . $j . "_" . $i . "'>";
			echo $row[$i];
			echo "</td>\n";
		}
		echo "\n</tr>\n";
		$j++;
    }

	echo "</tbody>";
echo '</table>';

?>

</body>
</html>